Bug 117370

Summary: Whitespace between inlines with nowrap and a shrink-to-fit parent line-break incorrectly
Product: WebKit Reporter: Robert Hogan <robert>
Component: Layout and RenderingAssignee: Robert Hogan <robert>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, esprehn+autocc, glenn, robert
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 117284    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Robert Hogan 2013-06-08 06:53:49 PDT
<!DOCTYPE html>
<html>
<style>
    #container {
        float: right;
    }
    .link
    {
        white-space: nowrap;
    }
</style></head>
<body>
<div id="container">
        <a href="" class="link">A</a>
        <a href="" class="link">B
</a>
</div>
Comment 1 Robert Hogan 2013-06-09 03:35:14 PDT
Created attachment 204114 [details]
Patch
Comment 2 Robert Hogan 2013-06-09 05:35:55 PDT
Created attachment 204118 [details]
Patch
Comment 3 Alexey Proskuryakov 2013-06-09 18:26:10 PDT
Comment on attachment 204118 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=204118&action=review

> Source/WebCore/ChangeLog:3
> +        Whitespace between inlines with nowrap and a shrink-to-fit parent line-break incorrectly

I cannot parse this sentence, it has no verb. Could you please tweak it for readability?
Comment 4 Robert Hogan 2013-06-10 13:22:10 PDT
Created attachment 204182 [details]
Patch
Comment 5 Dave Hyatt 2013-06-12 11:26:47 PDT
Comment on attachment 204182 [details]
Patch

r=me
Comment 6 WebKit Commit Bot 2013-06-12 12:20:45 PDT
Comment on attachment 204182 [details]
Patch

Clearing flags on attachment: 204182

Committed r151518: <http://trac.webkit.org/changeset/151518>
Comment 7 WebKit Commit Bot 2013-06-12 12:20:47 PDT
All reviewed patches have been landed.  Closing bug.